## Licenses (as of January 21, 2022)

Below is the list of dependencies used in OpenReplay software. Licenses may change between versions, so please keep this up to date with every new library you use.

| Library | License | Scope |
|----------|-------------|-------------|
| btcutil | IST | Go |
| confluent-kafka-go | Apache2 | Go |
| UUID | BSD3 | Go |
| pgconn | MIT | Go |
| pgx | MIT | Go |
| pgerrcode | MIT | Go |
| pgzip | MIT | Go |
| maxminddb-golang | IST | Go |
| realip | MIT | Go |
| uap-go | Apache2 | Go |
| clickhouse-go | MIT | Go |
| aws-sdk-go | Apache2 | Go |
| logging | Apache2 | Go |
| squirrel | MIT | Go |
| go-elasticsearch | Apache2 | Go |
| gorilla/websocket | BSD2 | Go |
| radix | MIT | Go |
| api | BSD3 | Go |
| urllib3 | MIT | Python |
| boto3 | Apache2 | Python |
| requests | Apache2 | Python |
| pyjwt | MIT | Python |
| jsbeautifier | MIT | Python |
| psycopg2-binary | LGPL | Python |
| fastapi | MIT | Python |
| uvicorn | BSD | Python |
| python-decouple | MIT | Python |
| pydantic | MIT | Python |
| apscheduler | MIT | Python |
| python-multipart | Apache | Python |
| elasticsearch-py | Apache2 | Python |
| jira | BSD2 | Python |
| clickhouse-driver | MIT | Python |
| python3-saml | MIT | Python |
| kubernetes | Apache2 | Python |
| chalice | Apache2 | Python |
| pandas | BSD3 | Python |
| numpy | BSD3 | Python |
| scikit-learn | BSD3 | Python |
| sqlalchemy | MIT | Python |
| pandas-redshift | MIT | Python |
| amplitude-js | MIT | JavaScript |
| classnames | MIT | JavaScript |
| codemirror | MIT | JavaScript |
| copy-to-clipboard | MIT | JavaScript |
| datamaps | MIT | JavaScript |
| deep-diff | MIT | JavaScript |
| immutable | MIT | JavaScript |
| jsbi | Apache2 | JavaScript |
| jshint | MIT | JavaScript |
| luxon | MIT | JavaScript |
| mobx | MIT | JavaScript |
| mobx-react-lite | MIT | JavaScript |
| moment | MIT | JavaScript |
| moment-range | Unlicense | JavaScript |
| optimal-select | MIT | JavaScript |
| rc-time-picker | MIT | JavaScript |
| react | MIT | JavaScript |
| react-circular-progressbar | MIT | JavaScript |
| react-codemirror2 | MIT | JavaScript |
| react-confirm | MIT | JavaScript |
| react-datepicker | MIT | JavaScript |
| react-daterange-picker | Apache2 | JavaScript |
| react-dnd | MIT | JavaScript |
| react-dnd-html5-backend | MIT | JavaScript |
| react-dom | MIT | JavaScript |
| react-google-recaptcha | MIT | JavaScript |
| react-json-view | MIT | JavaScript |
| react-lazyload | MIT | JavaScript |
| react-redux | MIT | JavaScript |
| react-router | MIT | JavaScript |
| react-router-dom | MIT | JavaScript |
| react-stripe-elements | MIT | JavaScript |
| react-toastify | MIT | JavaScript |
| react-virtualized | MIT | JavaScript |
| recharts | MIT | JavaScript |
| redux | MIT | JavaScript |
| redux-immutable | BSD3 | JavaScript |
| redux-thunk | MIT | JavaScript |
| semantic-ui-react | MIT | JavaScript |
| socketio | MIT | JavaScript |
| source-map | BSD3 | JavaScript |
| aws-sdk | Apache2 | JavaScript |
| serverless | MIT | JavaScript |
| lib/pq | MIT | Go |
| peerjs | MIT | JavaScript |
